=== debian/changelog ===
icon (9.4.3-7) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with glibc 2.28. Closes: #915334.

 -- Santiago Vila <sanvila@debian.org>  Tue, 11 Dec 2018 22:14:40 +0100

icon (9.4.3-6) unstable; urgency=medium

  * QA upload.
  * Drop outdated manpage debian/icon.1.
  * Use man/man1/icon.1 and man/man1/icont.1 from original tarball.
  * Drop iconc package. It does not work, it is not supported upstream,
    and it does not even exist in version 9.5.1. Closes: #345425.
  * Rename debian/rules targets test-icont and benchmark-icont to
    just test and benchmark.
  * Make /usr/bin/icon a symlink to /usr/bin/icont, fpllowing upstream.
    This should allow writing scripts using #!/usr/bin/icon.

 -- Santiago Vila <sanvila@debian.org>  Thu, 11 Aug 2016 23:29:20 +0200

icon (9.4.3-5) unstable; urgency=medium

  * QA upload.
  * Package is orphaned (Bug #738875), set Maintainer to "Debian QA Group".
  * Do not run the tests as root. This used to make the build to fail on
    the Hurd. It does not anymore, but it's a bug anyway. Closes: #654381.
  * Ack NMUs. This should now build on sparc and mips. Closes: #660466.
  * Add build-arch and build-indep targets to debian/rules. Closes: #821993.
  * Apply patch from Reiner Herrmann to build reproducibly. Closes: #829133.
  * Switch to "3.0 (quilt)" source format.
  * General cleanup of debian/rules.

 -- Santiago Vila <sanvila@debian.org>  Tue, 09 Aug 2016 18:45:08 +0100

icon (9.4.3-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Also use -O0 on mips.

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Mar 2013 13:25:54 +0100

icon (9.4.3-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Restore -O0 on sparc and mipsel.  -O2 causes unaligned accesses, and thus
    crashes in the test suite.

 -- Julien Cristau <jcristau@debian.org>  Fri, 22 Mar 2013 15:22:08 +0000

icon (9.4.3-4) unstable; urgency=medium

  * Apply patch from Aurelien Jarno: instead of disabling all optimizations
    on a special-cased subset of architectures, use -O2 but disable the
    individual optimizations that cause problem. Do this on all architectures.
    Fixes FTBFS (because of test failures) on s390x. (Closes: #638356)

 -- Christian Hudon <chrish@debian.org>  Thu, 05 Jan 2012 14:11:49 -0500

icon (9.4.3-3) unstable; urgency=low

  * Apply patch from Kees Cook so Icon is not built needlessly with an
    executable stack. (Closes: #543450)

 -- Christian Hudon <chrish@debian.org>  Mon, 23 May 2011 15:28:11 -0400

icon (9.4.3-2) unstable; urgency=medium

  * Apply patch from Jurij Smakov to correctly change -O2 to -O0 when building.
    Should build and pass tests on all archs now, including Sparc32
    (Closes: #475952, #420979)

 -- Christian Hudon <chrish@debian.org>  Sun, 17 Aug 2008 19:45:27 -0400

icon (9.4.3-1) unstable; urgency=low

  * New upstream version. (Closes: #339781)
  * Merge NMU changes, except CLK_TCK -> CLOCKS_PER_SEC one, because
    upstream now has a fallback using a sysconfig() call. (Closes:
    #249208, #292864, #293472, #277660, #360180) Will wait to see if this
    builds on all archs before closing bug number 420979.
  * Maintainer back in action. (Closes: #454591)

 -- Christian Hudon <chrish@debian.org>  Sun,  9 Dec 2007 12:37:42 -0500

icon (9.4.2-2.8) unstable; urgency=medium

  * Non-maintainer upload during BSP.
  * Substitute CLK_TCK with CLOCKS_PER_SEC in src/common/time.c (Closes:
    #420979).

 -- Mario Iseli <admin@marioiseli.com>  Thu, 17 May 2007 18:10:20 +0200

icon (9.4.2-2.7) unstable; urgency=low

  * NMU
  * Fixes FTBFS on arm* and ppc64. Closes: #344503, #360180

 -- Riku Voipio <riku.voipio@iki.fi>  Thu, 12 Oct 2006 14:12:30 +0300

icon (9.4.2-2.6) unstable; urgency=low

  * NMU
  * Fix FTBFS on i386 by building with -O0 there. Same as bug #249208
    but for i386 now. Closes: #346188

 -- Joey Hess <joeyh@debian.org>  Sun,  5 Mar 2006 21:08:52 -0500

icon (9.4.2-2.5) unstable; urgency=low

  * Non-maintainer upload
  * Fix debian/rules so that debian/rules succeeds (Closes: #342322)
  * Let iconc not depend on xlibs-dev anymore (Closes: #346188, #347153)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 21 Jan 2006 16:06:34 +0100

icon (9.4.2-2.4) unstable; urgency=medium

  * NMU
  * Apply patch from Jurij Smakov to work around possible
    gcc bug.  closes: #322972.
  * Bump Standards-Version to 3.6.2.
  * Remove prerm scripts.

 -- Clint Adams <schizo@debian.org>  Mon, 19 Dec 2005 22:48:01 -0500

icon (9.4.2-2.3) unstable; urgency=low

  * Non-maintainer upload during BSP
  * Update debian/rules arch/os selections to current dpkg
    conventions which fixes FTBFS on linux (Closes: #316664)

 -- Frank Lichtenheld <djpig@debian.org>  Sun,  7 Aug 2005 02:46:33 +0200

icon (9.4.2-2.2) unstable; urgency=low

  * Non-maintainer upload during BSP
  * Update config/gnu/Makeconf according to config/linux/Makeconf to
    prevent an infinite loop/system hang. (closes: #292864)
  * Force system to linux for k*BSD when configuring. (closes: #293472)
  * Change Build-Depends from `xlibs-dev' to `libx11-dev, libxt-dev'.
    (closes: #277660)
  * Compile with -O0 on amd64. (closes: #249208)

 -- Michael Banck <mbanck@debian.org>  Sun,  6 Feb 2005 12:00:47 +0100

icon (9.4.2-2.1) unstable; urgency=low

  * Non-maintainer upload during BSP
  * Compile with -O0 on some architectures
    (alpha,hppa,ia64,mips,mipsel,powerpc,s390,sparc)
    I don't know if this fixes all of them but at least
    alpha, ia64, powerpc I have tested to build (see #229394)
  * Add -Wall -g to CFLAGS while we're at it. Obviously nobody
    has ever done this from the output this produces :/
  * Remove debian/postinst as it only sets the usr/doc link

 -- Frank Lichtenheld <djpig@debian.org>  Fri, 19 Mar 2004 13:44:06 +0100

icon (9.4.2-2) unstable; urgency=low

  * Apply patch from Frank Lichtenheld to make icon build on other
    architectures. (Closes: #217655)


