=== debian/control ===
Source: icon
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 3.6.2
Section: devel
Priority: optional
Build-Depends: libx11-dev, libxt-dev

Package: icont
Architecture: any
Depends: ${shlibs-icont:Depends}
Recommends: iconx
Suggests: icon-ipl
Description: Interpreter for Icon, a high-level programming language
 Ideal for both complex nonnumerical applications and for situations where
 users need quick solutions with a minimum of programming effort, Icon is a
 high-level, general purpose programming language with a syntax similar to
 Pascal and C. Its applications include: rapid prototyping, analyzing
 natural languages, generating computer programs, and artificial
 intelligence. (From the back cover of the book "The Icon Programming
 Language," by Griswold and Griswold.)
 .
 This package contains the Icon translator, which converts Icon source code
 into `ucode` that can then be executed with the help of the iconx program.

Package: iconx
Architecture: any
Depends: ${shlibs-iconx:Depends}
Description: Executor for Icon, a high-level programming language
 Ideal for both complex nonnumerical applications and for situations where
 users need quick solutions with a minimum of programming effort, Icon is a
 high-level, general purpose programming language with a syntax similar to
 Pascal and C. Its applications include: rapid prototyping, analyzing
 natural languages, generating computer programs, and artificial
 intelligence. (From the back cover of the book "The Icon Programming
 Language," by Griswold and Griswold.)
 .
 This package contains the Icon executor, iconx, which is needed to execute
 interpreted Icon programs. If you are starting from Icon source code (as 
 opposed to precompiled `ucode' files), you will also need the icont
 package, which converts your Icon source into a program that iconx can
 execute.

Package: icon-ipl
Architecture: all
Recommends: icont
Description: Libraries for Icon, a high-level programming language
 Ideal for both complex nonnumerical applications and for situations where
 users need quick solutions with a minimum of programming effort, Icon is a
 high-level, general purpose programming language with a syntax similar to
 Pascal and C. Its applications include: rapid prototyping, analyzing
 natural languages, generating computer programs, and artificial
 intelligence. (From the back cover of the book "The Icon Programming
 Language," by Griswold and Griswold.)
 .
 This package contains the Icon program library, a library of Icon
 procedures and programs contributed by Icon users.
